import { GraphDatabaseActionType, getProcessCustomImplementation, } from 'quidproquo-core';
import { getGraphDatabaseForNeptuneActionProcessor } from './customActions';
import { randomGuid } from '../../../awsLambdaUtils';
import { askRunNeptuneOpenCypherQuery } from './stories';
export const getGraphDatabaseExecuteOpenCypherQueryActionProcessor = async (qpqConfig) => ({
    [GraphDatabaseActionType.ExecuteOpenCypherQuery]: getProcessCustomImplementation(qpqConfig, askRunNeptuneOpenCypherQuery, 'Neptune Cypher Query', getGraphDatabaseForNeptuneActionProcessor, () => new Date().toISOString(), randomGuid),
});
